Subject: bug#62480: closed (Re: bug#62480: Missing "configure")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Mar 2023 13:23:02 +0000

Your bug report

#62480: Missing "configure"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62480: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62480: Missing "configure"
From: Gregory Heytings <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 27 Mar 2023 13:22:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>
> it seems that there is no "configure" script in the git repo but it is 
> pointed to from the INSTALL file.
>
> The INSTALL file does point to "./configure" script in bullet "2a". But 
> there isn't such a script.
>
> I cloned from git
>
>    git clone https://git.savannah.gnu.org/git/emacs.git
>
> No "configure" in the master. I also tried "git checkout emacs-29". No 
> "configure" there also.
>

Thanks for your bug report.

The instructions to build Emacs from a clone of the repository are in 
INSTALL.REPO, not in INSTALL.  This is explained in the second paragraph 
of the INSTALL file:

For information about building from a Git checkout (rather than an Emacs 
release), read the INSTALL.REPO file first.

The main difference is that you should do "./autogen.sh" before 
"./configure".

Closing.

Subject: Missing "configure"
From: [email-masked]
To: [email-masked]
Date: Mon, 27 Mar 2023 08:45:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

it seems that there is no "configure" script in the git repo but it is 
pointed to from the INSTALL file.

The INSTALL file does point to "./configure" script in bullet "2a". But 
there isn't such a script.

I cloned from git

     git clone https://git.savannah.gnu.org/git/emacs.git

No "configure" in the master. I also tried "git checkout emacs-29". No 
"configure" there also.

This is not a support question about how to build. It is a bug report 
about the documentation.

Kind
Christian Buhtz